Bug 201875 - [patch] deskutils/parcellite: update to 1.1.9
Summary: [patch] deskutils/parcellite: update to 1.1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-07-25 19:43 UTC by Andriy Voskoboinyk
Modified: 2015-08-19 02:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (koalative)


Attachments
Patch.diff (5.14 KB, patch)
2015-07-25 19:43 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (3.10 KB, text/plain)
2015-07-25 19:45 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (47.66 KB, text/plain)
2015-07-25 19:45 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386-without-nls.log (37.77 KB, text/plain)
2015-07-25 19:47 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.1-amd64-without-nls.log (42.05 KB, text/plain)
2015-07-25 19:53 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.1-amd64.log (52.14 KB, text/plain)
2015-07-25 20:24 UTC, Andriy Voskoboinyk
no flags Details
Patch2.diff (5.15 KB, patch)
2015-08-18 22:39 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (3.10 KB, text/plain)
2015-08-18 23:00 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (49.76 KB, text/plain)
2015-08-18 23:02 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386-without-nls.log (39.30 KB, text/plain)
2015-08-18 23:02 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-07-25 19:43:27 UTC
Created attachment 159216 [details]
Patch.diff

- Update to 1.1.9.
-- Remove patch-src__main.c - it's not needed now.
- Add CPPFLAGS/LIBS (unbreak configure).
- Patch Makefiles - add missing libraries to LDADD.
- Add LICENSE_FILE.
- Add all used dependencies (USE_GNOME=glib20 pango, USE_XORG=x11).
- Patch configure.ac and data/Makefile.am, so gettext / intltool is not needed when NLS is not enabled.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-07-25 19:45:02 UTC
Created attachment 159217 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-07-25 19:45:42 UTC
Created attachment 159218 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-07-25 19:47:03 UTC
Created attachment 159219 [details]
poudriere-9.3-i386-without-nls.log
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-07-25 19:53:38 UTC
Created attachment 159220 [details]
poudriere-10.1-amd64-without-nls.log
Comment 5 Andriy Voskoboinyk freebsd_committer 2015-07-25 20:24:30 UTC
Created attachment 159221 [details]
poudriere-10.1-amd64.log
Comment 6 Philip M. Gollucci freebsd_committer 2015-08-12 01:51:34 UTC
Take.
Comment 7 Philip M. Gollucci freebsd_committer 2015-08-17 18:55:58 UTC
maintainer timeout (koalative@gmail.com ; 23 days)
Comment 8 Philip M. Gollucci freebsd_committer 2015-08-18 20:49:34 UTC
|Index: deskutils/parcellite/Makefile
|===================================================================
|--- deskutils/parcellite/Makefile	(revision 392882)
|+++ deskutils/parcellite/Makefile	(working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 2.
Hunk #2 failed at 11.
Hunk #3 succeeded at 40 (offset 4 lines).
Comment 9 Andriy Voskoboinyk freebsd_committer 2015-08-18 22:39:29 UTC
Created attachment 159994 [details]
Patch2.diff

Refresh (the port was already fixed).
Comment 10 Andriy Voskoboinyk freebsd_committer 2015-08-18 23:00:36 UTC
Created attachment 159995 [details]
portlint.log
Comment 11 Andriy Voskoboinyk freebsd_committer 2015-08-18 23:02:07 UTC
Created attachment 159996 [details]
poudriere-9.3-i386.log
Comment 12 Andriy Voskoboinyk freebsd_committer 2015-08-18 23:02:49 UTC
Created attachment 159997 [details]
poudriere-9.3-i386-without-nls.log
Comment 13 commit-hook freebsd_committer 2015-08-19 02:18:15 UTC
A commit references this bug:

Author: pgollucci
Date: Wed Aug 19 02:17:47 UTC 2015
New revision: 394672
URL: https://svnweb.freebsd.org/changeset/ports/394672

Log:
  deskutils/parcellite: update to 1.1.9

  - Update to 1.1.9.
  - Remove patch-src__main.c - it's not needed now.
  - Add CPPFLAGS/LIBS (unbreak configure).
  - Patch Makefiles - add missing libraries to LDADD.
  - Add LICENSE_FILE.
  - Add all used dependencies (USE_GNOME=glib20 pango, USE_XORG=x11).
  - Honor Option NLS

  PR:                  201875
  Submitted by:        s3erios@gmail.com
  Approved by:         maintainer timeout (koalative@gmail.com ; 23 days)

Changes:
  head/deskutils/parcellite/Makefile
  head/deskutils/parcellite/distinfo
  head/deskutils/parcellite/files/extrapatch-configure.ac
  head/deskutils/parcellite/files/patch-src__main.c